Update an advertiser
curl --request PUT \
--url https://api.semicola.com/api/v2/buyer/advertisers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"primaryCurrency": "<string>",
"description": "<string>",
"brandCountries": [
"<string>"
],
"preferredTimezone": "<string>",
"channels": []
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/advertisers/{id}"
payload = {
"name": "<string>",
"primaryCurrency": "<string>",
"description": "<string>",
"brandCountries": ["<string>"],
"preferredTimezone": "<string>",
"channels": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
primaryCurrency: '<string>',
description: '<string>',
brandCountries: ['<string>'],
preferredTimezone: '<string>',
channels: []
})
};
fetch('https://api.semicola.com/api/v2/buyer/advertisers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"customerId": 123,
"name": "<string>",
"description": "<string>",
"status": "ACTIVE",
"sandbox": true,
"primaryCurrency": "<string>",
"currencyLocked": true,
"brandDomain": "<string>",
"linkedBrand": {
"domain": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"industry": "<string>",
"tagline": "<string>",
"colors": [
"<string>"
]
},
"brandCountries": [
"<string>"
],
"preferredTimezone": "<string>",
"channels": [
"display"
],
"optimizationApplyMode": "AUTO",
"autonomy": {
"inventorySelection": "manual",
"rebriefing": "manual"
},
"controls": {
"exclusions": [
"<string>"
],
"brandSafety": "<string>"
},
"utmConfig": [
{
"paramKey": "<string>",
"paramValue": "<string>"
}
],
"frequencyCaps": [
{
"maxImpressions": 123,
"window": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Advertisers
Update an advertiser
PUT
/
api
/
v2
/
buyer
/
advertisers
/
{id}
Update an advertiser
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Required range:
x <= 9007199254740991Body
application/json
Required string length:
1 - 200Pattern:
^[A-Z]{3}$Maximum string length:
2000Pattern:
^[A-Z]{2}$Available options:
display, olv, social, search, ctv, linear_tv, radio, streaming_audio, podcast, dooh, ooh, print, cinema, email, gaming, retail_media, influencer, affiliate, product_placement, sponsored_intelligence Available options:
AUTO, MANUAL Show child attributes
Show child attributes